<html>
<head>
<title>Ogre::Radian Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Radian.html">Radian</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Radian Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Radian" -->
<p>Wrapper class which indicates a given angle value is in Radians.  
 <a href="classOgre_1_1Radian.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Radian-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#aafb3609b2e57ea611a811c2d27f02727">Radian</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> r=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gae928a6c0bafde7b018e386ed94d76a84">Radian</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a4eb5fdad21a84b38f56e21b939588845">operator=</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a3762e26668e58d4225b9a5a9326b47b4">operator=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gafab8ce89cde3034f3cc5c2537d5ea6fd">operator=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga0b6615ad9e0b769f3772d7eb746e804a">valueDegrees</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#ae48b00b9345103217741b497108848d2">valueRadians</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga73959a5a953d4a695388a476387b8e15">valueAngleUnits</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#af59e90dc734c52f9094c6578a3214cd2">operator+</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a3eb1ba600b5a69caf027fc2ebd06a76f">operator+</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gab7a4a877f244d3f355ae1965d562f613">operator+</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#abf3d4527839810f9d2212037660ea9f6">operator+=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gaed5147935125e28f53cb19d70055bc88">operator+=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a48020006e08701535eee9e2de3580161">operator-</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a8178df6c69d605b7ec65ec36ceb44996">operator-</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga18bfac55ff717cba106aa08bc731e26a">operator-</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a5f96dcd933471eabd3d3a21893554834">operator-=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga223a82b9ff74351959eee91a335e7cdb">operator-=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#acda0cae0eef29a7970fb889785f5ba66">operator*</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#ad769d69cf31a5d04d9da1dba5cb16c49">operator*</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;f) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a3f9fa4e32a72cd3cd26a2e7af81cc12a">operator*=</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#ad18c5c9a8ea302a4da28eb900b3062fa">operator/</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a16e2f53d94412cdc81c65292ba05c360">operator/=</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a250bed316c17b3b3da0687a623000a24">operator&lt;</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#aa2fc65d4505221f932d8a18a6812a44d">operator&lt;=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#ac24518160311c4c3b911a3e9d7c8b52c">operator==</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a9f9f5aea99b80fa8eadccf8352a78be8">operator!=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a70897e9d1e52953a89271fe39272f27e">operator&gt;=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a30c7c6a0c20e53fdb590875475be85f0">operator&gt;</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#ad35b7fb091624e857c0a9b2152c6c39a">mRad</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a687923d48a83e82c1a0a75b0d3586396">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;v)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Wrapper class which indicates a given angle value is in Radians. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> values are interchangeable with <a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> values, and conversions will be done automatically between them. </dd></dl>

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00046">46</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aafb3609b2e57ea611a811c2d27f02727"></a><!-- doxytag: member="Ogre::Radian::Radian" ref="aafb3609b2e57ea611a811c2d27f02727" args="(Real r=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html#aafb3609b2e57ea611a811c2d27f02727">Ogre::Radian::Radian</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>r</em> = <code>0</code></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00051">51</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00071">operator*()</a>, <a class="el" href="OgreMath_8h_source.html#l00062">operator+()</a>, <a class="el" href="OgreMath_8h_source.html#l00066">operator-()</a>, and <a class="el" href="OgreMath_8h_source.html#l00074">operator/()</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9f9f5aea99b80fa8eadccf8352a78be8"></a><!-- doxytag: member="Ogre::Radian::operator!=" ref="a9f9f5aea99b80fa8eadccf8352a78be8" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00080">80</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="acda0cae0eef29a7970fb889785f5ba66"></a><!-- doxytag: member="Ogre::Radian::operator*" ref="acda0cae0eef29a7970fb889785f5ba66" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator* </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00071">71</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00051">Radian()</a>.</p>

</div>
</div>
<a class="anchor" id="ad769d69cf31a5d04d9da1dba5cb16c49"></a><!-- doxytag: member="Ogre::Radian::operator*" ref="ad769d69cf31a5d04d9da1dba5cb16c49" args="(const Radian &amp;f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00051">Radian()</a>.</p>

</div>
</div>
<a class="anchor" id="a3f9fa4e32a72cd3cd26a2e7af81cc12a"></a><!-- doxytag: member="Ogre::Radian::operator*=" ref="a3f9fa4e32a72cd3cd26a2e7af81cc12a" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator*= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00073">73</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="af59e90dc734c52f9094c6578a3214cd2"></a><!-- doxytag: member="Ogre::Radian::operator+" ref="af59e90dc734c52f9094c6578a3214cd2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator+ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00061">61</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3eb1ba600b5a69caf027fc2ebd06a76f"></a><!-- doxytag: member="Ogre::Radian::operator+" ref="a3eb1ba600b5a69caf027fc2ebd06a76f" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00062">62</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00051">Radian()</a>.</p>

</div>
</div>
<a class="anchor" id="abf3d4527839810f9d2212037660ea9f6"></a><!-- doxytag: member="Ogre::Radian::operator+=" ref="abf3d4527839810f9d2212037660ea9f6" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00064">64</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="a48020006e08701535eee9e2de3580161"></a><!-- doxytag: member="Ogre::Radian::operator&#45;" ref="a48020006e08701535eee9e2de3580161" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator- </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00066">66</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00051">Radian()</a>.</p>

</div>
</div>
<a class="anchor" id="a8178df6c69d605b7ec65ec36ceb44996"></a><!-- doxytag: member="Ogre::Radian::operator&#45;" ref="a8178df6c69d605b7ec65ec36ceb44996" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00051">Radian()</a>.</p>

</div>
</div>
<a class="anchor" id="a5f96dcd933471eabd3d3a21893554834"></a><!-- doxytag: member="Ogre::Radian::operator&#45;=" ref="a5f96dcd933471eabd3d3a21893554834" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00069">69</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="ad18c5c9a8ea302a4da28eb900b3062fa"></a><!-- doxytag: member="Ogre::Radian::operator/" ref="ad18c5c9a8ea302a4da28eb900b3062fa" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator/ </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00074">74</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00051">Radian()</a>.</p>

</div>
</div>
<a class="anchor" id="a16e2f53d94412cdc81c65292ba05c360"></a><!-- doxytag: member="Ogre::Radian::operator/=" ref="a16e2f53d94412cdc81c65292ba05c360" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator/= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00075">75</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="a250bed316c17b3b3da0687a623000a24"></a><!-- doxytag: member="Ogre::Radian::operator&lt;" ref="a250bed316c17b3b3da0687a623000a24" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00077">77</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="aa2fc65d4505221f932d8a18a6812a44d"></a><!-- doxytag: member="Ogre::Radian::operator&lt;=" ref="aa2fc65d4505221f932d8a18a6812a44d" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="a4eb5fdad21a84b38f56e21b939588845"></a><!-- doxytag: member="Ogre::Radian::operator=" ref="a4eb5fdad21a84b38f56e21b939588845" args="(const Real &amp;f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00053">53</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="a3762e26668e58d4225b9a5a9326b47b4"></a><!-- doxytag: member="Ogre::Radian::operator=" ref="a3762e26668e58d4225b9a5a9326b47b4" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00054">54</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="ac24518160311c4c3b911a3e9d7c8b52c"></a><!-- doxytag: member="Ogre::Radian::operator==" ref="ac24518160311c4c3b911a3e9d7c8b52c" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00079">79</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="a30c7c6a0c20e53fdb590875475be85f0"></a><!-- doxytag: member="Ogre::Radian::operator&gt;" ref="a30c7c6a0c20e53fdb590875475be85f0" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&gt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00082">82</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="a70897e9d1e52953a89271fe39272f27e"></a><!-- doxytag: member="Ogre::Radian::operator&gt;=" ref="a70897e9d1e52953a89271fe39272f27e" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00081">81</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

</div>
</div>
<a class="anchor" id="ae48b00b9345103217741b497108848d2"></a><!-- doxytag: member="Ogre::Radian::valueRadians" ref="ae48b00b9345103217741b497108848d2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Radian.html#ae48b00b9345103217741b497108848d2">Ogre::Radian::valueRadians</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00058">58</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">mRad</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00255">Ogre::Math::Abs()</a>, <a class="el" href="OgreMath_8h_source.html#l00304">Ogre::Math::Cos()</a>, <a class="el" href="OgreVector3_8h_source.html#l00759">Ogre::Vector3::directionEquals()</a>, <a class="el" href="OgreMath_8h_source.html#l00720">Ogre::operator*()</a>, <a class="el" href="OgreMath_8h_source.html#l00725">Ogre::operator/()</a>, <a class="el" href="OgreAnimable_8h_source.html#l00125">Ogre::AnimableValue::setAsBaseValue()</a>, <a class="el" href="OgreMath_8h_source.html#l00340">Ogre::Math::Sign()</a>, <a class="el" href="OgreMath_8h_source.html#l00356">Ogre::Math::Sin()</a>, <a class="el" href="OgreMath_8h_source.html#l00388">Ogre::Math::Sqrt()</a>, and <a class="el" href="OgreMath_8h_source.html#l00434">Ogre::Math::Tan()</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a687923d48a83e82c1a0a75b0d3586396"></a><!-- doxytag: member="Ogre::Radian::operator&lt;&lt;" ref="a687923d48a83e82c1a0a75b0d3586396" args="(std::ostream &amp;o, const Radian &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad35b7fb091624e857c0a9b2152c6c39a"></a><!-- doxytag: member="Ogre::Radian::mRad" ref="ad35b7fb091624e857c0a9b2152c6c39a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Radian.html#ad35b7fb091624e857c0a9b2152c6c39a">Ogre::Radian::mRad</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00048">48</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00080">operator!=()</a>, <a class="el" href="OgreMath_8h_source.html#l00071">operator*()</a>, <a class="el" href="OgreMath_8h_source.html#l00073">operator*=()</a>, <a class="el" href="OgreMath_8h_source.html#l00062">operator+()</a>, <a class="el" href="OgreMath_8h_source.html#l00064">operator+=()</a>, <a class="el" href="OgreMath_8h_source.html#l00066">operator-()</a>, <a class="el" href="OgreMath_8h_source.html#l00069">operator-=()</a>, <a class="el" href="OgreMath_8h_source.html#l00074">operator/()</a>, <a class="el" href="OgreMath_8h_source.html#l00075">operator/=()</a>, <a class="el" href="OgreMath_8h_source.html#l00077">operator&lt;()</a>, <a class="el" href="OgreMath_8h_source.html#l00078">operator&lt;=()</a>, <a class="el" href="OgreMath_8h_source.html#l00053">operator=()</a>, <a class="el" href="OgreMath_8h_source.html#l00079">operator==()</a>, <a class="el" href="OgreMath_8h_source.html#l00082">operator&gt;()</a>, <a class="el" href="OgreMath_8h_source.html#l00081">operator&gt;=()</a>, <a class="el" href="OgreMath_8h_source.html#l00695">valueAngleUnits()</a>, <a class="el" href="OgreMath_8h_source.html#l00690">valueDegrees()</a>, and <a class="el" href="OgreMath_8h_source.html#l00058">valueRadians()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMath_8h_source.html">OgreMath.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
